> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# relationdefinition

## "relationdefinition" MDO List

The name of the MDO list is 'relationdefinition'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relationdefinition
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relationdefinition", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                    | StyleHint | ExtraInfo |
| -- | ----------------------- | --------- | --------- |
| 4  | arbeidet før for        |           |           |
| 1  | eier                    |           |           |
| 2  | er en personlig venn av |           |           |
| 6  | er i familie med        |           |           |
| 7  | kjenner                 |           |           |
| 3  | leier inn               |           |           |
| 9  | Link to document        |           |           |
| 8  | Link to follow-up       |           |           |
| 10 | Link to sale            |           |           |
| 5  | sitter i styret hos     |           |           |

## Related MDO Lists

* "relationdefinitionheadings"
* "relationdefinitionheadingswithallitem"
* "relationdefinitionheadingswithallitemwithnoselection"
* "relationdefinitionheadingswithnoselection"
* "relationdefinitionwithallitem"
* "relationdefinitionwithallitemwithnoselection"
* "relationdefinitionwithnoselection"


## Related topics

- [relationdefinition table](/en/database/tables/relationdefinition.md)
- [SuperOffice.WebApi.Data.RelationDefinitionEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.RelationDefinitionEntity.md)
- [Default Relation Definition Entity](/en/api/reference/restful/rest/relationdefinition/default-relation-definition-entity.md)
- [Get Relation Definition Entity](/en/api/reference/restful/rest/relationdefinition/get-relation-definition-entity.md)
- [Post Relation Definition Entity](/en/api/reference/restful/rest/relationdefinition/post-relation-definition-entity.md)
- [Put Relation Definition Entity](/en/api/reference/restful/rest/relationdefinition/put-relation-definition-entity.md)
